package cn.quant.andy.jpa.entity;

import cn.quant.andy.jpa.model.ImportMapSchema;
import cn.quant.spring.data.jpa.entity.DescriptionEntity;

import javax.persistence.Column;
import javax.persistence.Id;
import java.util.List;

public class InstitutionProfileEntity extends DescriptionEntity {

    @Id
    @Column(name = "BASE_CODE", nullable = false, updatable = false)
    private String baseCode;

    @Column(name = "TYPE_CODE", nullable = false, updatable = false)
    private String typeCode;

    @Column(name = "ACCOUNT_NO", nullable = false, updatable = false)
    private String accountNo;

    @Column(name = "IMPORT_FILE", nullable = true, updatable = true)
    private String importFile;

    @Column(name = "IMPORT_URL", nullable = true, updatable = true)
    private String importUrl;

    @Column(name = "IMPORT_DATA_COL_NUM", nullable = false, updatable = true)
    private Integer importDataColNum;

    @Column(name = "IMPORT_DATA_SCHEMA", nullable = false, updatable = true)
    private List<ImportMapSchema> importDataSchema;

    @Column(name = "DATA_PREFIX", nullable = false, updatable = true)
    private String dataPrefix;

    @Column(name = "START_LINE", nullable = false, updatable = true)
    private Integer startLine;

    @Column(name = "END_LINE", nullable = false, updatable = true)
    private Integer endLine;

    @Column(name = "AVAILABLE_FLAG", nullable = false, updatable = true)
    private Boolean availableFlag;

    public String getBaseCode() {
        return baseCode;
    }

    public void setBaseCode(String baseCode) {
        this.baseCode = baseCode;
    }

    public String getTypeCode() {
        return typeCode;
    }

    public void setTypeCode(String typeCode) {
        this.typeCode = typeCode;
    }

    public String getAccountNo() {
        return accountNo;
    }

    public void setAccountNo(String accountNo) {
        this.accountNo = accountNo;
    }

    public String getImportFile() {
        return importFile;
    }

    public void setImportFile(String importFile) {
        this.importFile = importFile;
    }

    public String getImportUrl() {
        return importUrl;
    }

    public void setImportUrl(String importUrl) {
        this.importUrl = importUrl;
    }

    public Integer getImportDataColNum() {
        return importDataColNum;
    }

    public void setImportDataColNum(Integer importDataColNum) {
        this.importDataColNum = importDataColNum;
    }

    public List<ImportMapSchema> getImportDataSchema() {
        return importDataSchema;
    }

    public void setImportDataSchema(List<ImportMapSchema> importDataSchema) {
        this.importDataSchema = importDataSchema;
    }

    public String getDataPrefix() {
        return dataPrefix;
    }

    public void setDataPrefix(String dataPrefix) {
        this.dataPrefix = dataPrefix;
    }

    public Integer getStartLine() {
        return startLine;
    }

    public void setStartLine(Integer startLine) {
        this.startLine = startLine;
    }

    public Integer getEndLine() {
        return endLine;
    }

    public void setEndLine(Integer endLine) {
        this.endLine = endLine;
    }

    public Boolean getAvailableFlag() {
        return availableFlag;
    }

    public void setAvailableFlag(Boolean availableFlag) {
        this.availableFlag = availableFlag;
    }

    @Override
    public String persistenceKey() {
        return null;
    }
}